-#!/bin/bash
+#!/usr/bin/env bash
# SPDX-License-Identifier: MIT
-set -x
-set -e
+set -o errexit
+set -o nounset
+set -o pipefail
+set -o xtrace
+
+cd "$(dirname "$0")"
unset LC_CTYPE
unset LANG
test -d linux || git clone https://github.com/AsahiLinux/linux
cd linux
git fetch -a -t
- git reset --hard origin/gpu/rust-wip;
+ git reset --hard asahi-6.1-rc8-3;
source "$HOME/.cargo/env"
- curl -sL https://tg.st/u/3007a82fe2f3ef7d91945e1cb3e5a167f8d6b0550ecb67850d1cd85f3efa112e.config > .config
- make olddefconfig
- make -j `nproc` V=0 > /dev/null
- sudo make modules_install
- sudo make install
+ cat ../../config-gpu.txt > .config
+ make LLVM=-14 olddefconfig
+ make -j `nproc` V=0 bindeb-pkg > /dev/null
)
}
test -d m1n1 || git clone --recursive https://github.com/AsahiLinux/m1n1
cd m1n1
git fetch -a -t
- git reset --hard origin/lina/gpu-wip;
+ git reset --hard v1.2.2;
make -j `nproc`
)
}
test -d u-boot || git clone https://github.com/AsahiLinux/u-boot
cd u-boot
git fetch -a -t
- git reset --hard origin/asahi;
- curl -s https://tg.st/u/0001-usb-request-on-8-bytes-for-USB_SPEED_FULL-bMaxPacket.patch | git am -
+ git reset --hard asahi-v2022.10-1;
+
make apple_m1_defconfig
make -j `nproc`
)